# My calendar ## `GET /api/me/calendar` **Get your calendar link** Returns the signed-in member's private calendar link, generating a token the first time it is asked for. **Response `200` — The member's calendar link.** Model: {ref}`CalendarLink ` | Field | Type | Required | Description | |---|---|---|---| | `token` | string | yes | | | `url` | string | yes | | ## `POST /api/me/calendar/rotate` **Rotate your calendar link** Issues a fresh calendar token for the signed-in member. The previous link 404s immediately. **Response `200` — The member's new calendar link.** Model: {ref}`CalendarLink ` | Field | Type | Required | Description | |---|---|---|---| | `token` | string | yes | | | `url` | string | yes | |